Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.queue
Class MemQueue<T>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.AbstractSequentialList<E>
                  java.util.LinkedList<T>
                      org.archive.queue.MemQueue<T>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<T>, java.util.Collection<T>, java.util.List<T>, java.util.Queue<T>

    public class MemQueue<T>

extends java.util.LinkedList<T>
implements Queue<T>

An in-memory implementation of a `Queue`.

Author:
  Gordon Mohr
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`MemQueue()` Create a new, empty MemQueue

Method Summary
`long` | `deleteMatchedItems(org.apache.commons.collections.Predicate matcher)`
`T` | `dequeue()`
`void` | `enqueue(T o)`
`java.util.Iterator<T>` | `getIterator(boolean inCacheOnly)`
`long` | `length()`
`T` | `peek()`
`void` | `release()`
`void` | `unpeek()`

Methods inherited from class java.util.LinkedList
`add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, element, get, getFirst, getLast, indexOf, lastIndexOf, listIterator, offer, poll, remove, remove, remove, removeFirst, removeLast, set, size, toArray, toArray`

Methods inherited from class java.util.AbstractSequentialList
`iterator`

Methods inherited from class java.util.AbstractList
`equals, hashCode, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, isEmpty, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.archive.queue.Queue
`isEmpty`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, isEmpty, iterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### MemQueue

    public MemQueue()

  Create a new, empty MemQueue

Method Detail

### enqueue

    public void enqueue(T o)

  See Also:
    `Queue.enqueue(Object)`

### dequeue

    public T dequeue()

  See Also:
    `Queue.dequeue()`

### length

    public long length()

  See Also:
    `Queue.length()`

### release

    public void release()

  See Also:
    `Queue.release()`

### peek

    public T peek()

  Specified by:
    `peek` in interface `java.util.Queue<T>`
  Overrides:
    `peek` in class `java.util.LinkedList<T>`
  See Also:
    `Queue.peek()`

### getIterator

    public java.util.Iterator<T> getIterator(boolean inCacheOnly)

  See Also:
    `Queue.getIterator(boolean)`

### deleteMatchedItems

    public long deleteMatchedItems(org.apache.commons.collections.Predicate matcher)

  See Also:
    `Queue.deleteMatchedItems(org.apache.commons.collections.Predicate)`

### unpeek

    public void unpeek()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.